<?php
  defined('ABSPATH') or die("Please don't run this script.");
/**
 * Social share
 *
 * @package Simple Days
 * @since 0.1.0
 * @version 0.0.3
 */

?>

<div class="social_share_list">
  <h4><i class="fa fa-share-alt" aria-hidden="true"></i> <?php echo esc_attr__( 'Share this post' , 'simple-days' ); ?></h4>
  <ul class="sns_share_icon">
<?php //$simple_days_options = get_theme_mod( 'simple_days_options' );

  $i = 1;
  $sns_share = array();
  while($i <= 10){
    $sns_share[$i] = get_theme_mod( 'simple_days_sns_share_'.$i,'none');
    $i++;
  }


  if(!has_post_thumbnail()) {
      $output = preg_match_all("/<img[^>]+src=[\"'](s?https?:\/\/[\-_\.!~\*'()a-z0-9;\/\?:@&=\+\$,%#]+\.(jpg|jpeg|png|gif))[\"'][^>]+>/i", $post->post_content, $matches);
      if(isset($matches [1] [0])){
          $imageurl = esc_url($matches [1] [0]);
      }else{
          $imageurl = esc_url(get_template_directory_uri() .'/assets/images/no_image.png');
      }
  }else{
      $thumurl = wp_get_attachment_image_src( get_post_thumbnail_id() , 'full' );
      $imageurl = esc_url($thumurl[0]);
  }
  $title = get_the_title();
  $posturl = get_the_permalink();
  $blogname = get_bloginfo( 'name' );
  $excerpt = get_the_excerpt();
  $icon_style = get_theme_mod( 'simple_days_social_share','icon_square');
  $icon_size = get_theme_mod( 'simple_days_social_share_size','');
  $i = 1;
  while($i <= 10){
    if ($sns_share[$i] != 'none'){
switch ($sns_share[$i]){
case 'buffer':
  $share_url = esc_url('https://bufferapp.com/add?text='.$title.'&url='.$posturl);
  break;

case 'digg':
  $share_url = esc_url('https://digg.com/submit?url='.$posturl.'&title='.$title);
  break;

case 'mail':        
  $share_url = esc_url('mailto:?subject='.sprintf(esc_html__( 'Shared from &ldquo;%s&rdquo;', 'simple-days' ), $blogname ).'&amp;body='.$title.'%0d%0a'.$posturl);
  break;

case 'evernote':
  $share_url = esc_url('https://www.evernote.com/clip.action?url='.$posturl.'&title='.$title);
  break;

case 'facebook':
  $share_url = esc_url('https://www.facebook.com/share.php?u='.$posturl);
  break;

case 'googleplus':
  $share_url = esc_url('https://plus.google.com/share?url='.$posturl);
  break;

case 'hatenabookmark':
  $share_url = esc_url('https://b.hatena.ne.jp/add?mode=confirm&url='.$posturl.'&title='.$title);
  break;

case 'line':
  $share_url = esc_url('https://line.me/R/msg/text/?'.$posturl);
  break;

case 'linkedin':
  $share_url = esc_url('https://www.linkedin.com/shareArticle?mini=true&url='.$posturl);
  break;
//<a href=”fb-messenger://share/?link= https%3A%2F%2Fdevelopers.facebook.com%2Fdocs%2Fsharing%2Freference%2Fsend-dialog&app_id=123456789”>Send In Messenger</a>

case 'pinterest':
  $share_url = esc_url('https://www.pinterest.com/pin/create/bookmarklet/?url='.$posturl.'&media='.$imageurl.'&is_video=false&description='.$excerpt);//'https://www.pinterest.com/pin/create/button/?url='.$posturl
  break;

case 'pocket':
  $share_url = esc_url('https://getpocket.com/edit?url='.$posturl.'&title='.$title);
  break;

case 'reddit':
  $share_url = esc_url('https://reddit.com/submit?url='.$posturl.'&title='.$title);
  break;

case 'tumblr':
  $share_url = esc_url('https://www.tumblr.com/share/link?url='.$posturl.'&name='.$title.'&description='.$excerpt);
  break;

case 'twitter':
  $share_url = esc_url('https://twitter.com/share?url='.$posturl.'&text='.$title);
  break;

case 'whatsapp':
  $share_url = esc_url('https://api.whatsapp.com/send?text='.$title.' '.$posturl);
  break;

  default:
  //どれでも無い
}

      echo '<li><a href="'.esc_url($share_url).'" class="sns_'.esc_attr( $sns_share[$i] ).' icon_base '.esc_attr( $icon_style ).' '.esc_attr( $icon_size ).'" target="_blank">';
      echo '<i class="icomoon icon-'.esc_attr( $sns_share[$i] ).'"></i>';
      echo '</a></li>';
    }
    $i++;
  }

?>
</ul></div>
